
Redmine - Feature #27371

need seperate permission for changing status of issue only

2017-11-02 21:57 - Jon Schell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Right now there's a single permission allowing a role to fully edit an issue.  But a common way for using issues is that the assignee

would change the status of an issue when a commit happens, so they need this permission, but they shouldn't be able to also edit

the priority or version or other properties of an issue.  So there's needs to be a separate permission that allows editing the status of

an issue, which then follows the workflow settings.

History

#1 - 2017-11-03 06:34 - Bernhard Rohloff

- File screenshot_permissions.png added

Is this the thing you're looking for?

You can set, if the field is read-only by role, tracker and status...

 screenshot_permissions.png 

#2 - 2017-11-03 18:21 - Jon Schell

That's probably overkill for what I need, but it looks like it should be right.  I'll check it out when I can get IT to upgrade our install.  We're still on 3.0.3. 

What version did that appear in?

#3 - 2017-11-04 06:53 - Bernhard Rohloff

According to #8050-48 the Feature was implemented in 2.1.0.

#4 - 2017-11-06 20:00 - Jon Schell

- Status changed from New to Resolved

Son of a ...

I never saw that tab. :(

Thanks.

#5 - 2017-11-06 22:13 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Thanks for the feedback. I'm closing this issue as invalid.

Files

screenshot_permissions.png 120 KB 2017-11-03 Bernhard Rohloff
